====
Data
====

XPCS data loading, runtime validation, preprocessing, quality control,
and memory management for large datasets.

Data Loader
===========

.. automodule:: heterodyne.data.xpcs_loader
   :members: XPCSDataLoader, load_xpcs_data, select_optimal_wavevector
   :undoc-members:
   :show-inheritance:

Validators
==========

.. automodule:: heterodyne.data.validators
   :members:
   :undoc-members:
   :show-inheritance:

Preprocessing
=============

.. automodule:: heterodyne.data.preprocessing
   :members:
   :undoc-members:
   :show-inheritance:

Quality Controller
==================

.. automodule:: heterodyne.data.quality_controller
   :members:
   :undoc-members:
   :show-inheritance:

Memory Manager
==============

.. automodule:: heterodyne.data.memory_manager
   :members:
   :undoc-members:
   :show-inheritance:
